import { jsx as _jsx } from "react/jsx-runtime";
import { useGridApiContext, } from "@mui/x-data-grid-premium";
import NerdCurrencyField from "./nerdCurrencyField";
/**
 *
 * @param {object} props Component props
 * @param {GridRenderEditCellParams} props.cellParams Cell Params
 * @param {NerdCurrencyFieldProps} props.nerdCurrencyFieldProps NerdCurrencyFieldProps
 * @returns {ReactElement} NerdCurrencyFieldDataGridAdapter
 */
export function NerdCurrencyFieldDataGridAdapter(props) {
    const { cellParams, nerdCurrencyFieldProps } = props;
    const apiRef = useGridApiContext();
    return (_jsx(NerdCurrencyField, { ...nerdCurrencyFieldProps, inputProps: {
            autoFocus: true,
            sx: {
                textAlign: "left",
                width: "100%",
                height: "100%",
                borderRadius: 0,
                border: "none",
                backgroundColor: "inherit",
                ...nerdCurrencyFieldProps?.inputProps?.sx,
            },
        }, value: cellParams.value, onChange: (e) => {
            apiRef.current.setEditCellValue({
                ...cellParams,
                value: e,
                unstable_skipValueParser: true,
            });
        } }));
}
